ADI Sense Host Library                         {#mainpage}
======================

Introduction
------------
ADI Sense is a new product line created by Analog Device Inc. (ADI) which aims
to make it quicker and easier for its customers to develop hardware and firmware
solutions based on ADI’s Precision Measurement technology, by combining smart
online design tools and software-defined measurement processors which simplify
the development of sophisticated high-precision measurement solutions.

The goal of the ADI Sense Host Library is to provide a high-level C/C++
Application Programming Interface to demonstrate correct usage of the ADI Sense
processors and simplify their integration with end-user application stacks.

Resources
---------
In the following sections, you will find more detailed information on the
ADI Sense processors, ADI Sense Host Library API documentation, code examples,
and more:

- [ADI Sense 1000 Overview](doc/adisense1000.md) provides details on the
  features of the ADI Sense 1000 processor module.
- [API Reference](@ref ADI_Sense_Api) contains a detailed guide to the functions
  and datatypes provided on the ADI Sense Host Library API
- [Examples](doc/examples.md) provides a guide to the various code examples
  provided as part of the ADI Sense Host Library
- [Key Topics](doc/key_topics.md) offers more detailed information on a number of key
  topics such as processor configuration and dynamic characteristics
- [Porting Guide](doc/porting.md) includes useful information for anyone who wishes
  to port the ADI Sense Host Library to a new host processor platform

